curl -X DELETE "https://api.leavo.ai/backend/knowledge/9f1c2d34-5678-4abc-9def-0123456789ab" \
-H "Authorization: Bearer your_api_key_here"
const id = '9f1c2d34-5678-4abc-9def-0123456789ab';
const response = await fetch(`https://api.leavo.ai/backend/knowledge/${id}`, {
method: 'DELETE',
headers: {
'Authorization': 'Bearer your_api_key_here'
}
});
if (response.status === 204) {
console.log('Knowledge deleted successfully');
}
import requests
knowledge_id = '9f1c2d34-5678-4abc-9def-0123456789ab'
response = requests.delete(
f'https://api.leavo.ai/backend/knowledge/{knowledge_id}',
headers={'Authorization': 'Bearer your_api_key_here'}
)
print('Deleted' if response.status_code == 204 else response.json())
// No content
Knowledge Base
Delete Knowledge
Permanently remove a knowledge item
DELETE
/
backend
/
knowledge
/
{id}
curl -X DELETE "https://api.leavo.ai/backend/knowledge/9f1c2d34-5678-4abc-9def-0123456789ab" \
-H "Authorization: Bearer your_api_key_here"
const id = '9f1c2d34-5678-4abc-9def-0123456789ab';
const response = await fetch(`https://api.leavo.ai/backend/knowledge/${id}`, {
method: 'DELETE',
headers: {
'Authorization': 'Bearer your_api_key_here'
}
});
if (response.status === 204) {
console.log('Knowledge deleted successfully');
}
import requests
knowledge_id = '9f1c2d34-5678-4abc-9def-0123456789ab'
response = requests.delete(
f'https://api.leavo.ai/backend/knowledge/{knowledge_id}',
headers={'Authorization': 'Bearer your_api_key_here'}
)
print('Deleted' if response.status_code == 204 else response.json())
// No content
Path Parameters
string
required
UUID of the knowledge item to remove
The removal is permanent and the content immediately stops being consulted by
the assistants. There is no trash bin and no undo.
Response
Returns204 No Content on success.
curl -X DELETE "https://api.leavo.ai/backend/knowledge/9f1c2d34-5678-4abc-9def-0123456789ab" \
-H "Authorization: Bearer your_api_key_here"
const id = '9f1c2d34-5678-4abc-9def-0123456789ab';
const response = await fetch(`https://api.leavo.ai/backend/knowledge/${id}`, {
method: 'DELETE',
headers: {
'Authorization': 'Bearer your_api_key_here'
}
});
if (response.status === 204) {
console.log('Knowledge deleted successfully');
}
import requests
knowledge_id = '9f1c2d34-5678-4abc-9def-0123456789ab'
response = requests.delete(
f'https://api.leavo.ai/backend/knowledge/{knowledge_id}',
headers={'Authorization': 'Bearer your_api_key_here'}
)
print('Deleted' if response.status_code == 204 else response.json())
// No content
Errors
| Code | Description |
|---|---|
401 | Missing or invalid API key |
404 | Knowledge item not found in this organization |
⌘I